var speedster_base = implement("fiskheroes:external/speedster_base");

function init(hero) {
    hero.setName("Superman/Clark Kent");
    hero.setTier(9);
    
    hero.setHelmet("Hair");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Leggings");
    hero.setBoots("Boots");
	
    hero.addPowers("tgheroes:krypton");
    hero.addAttribute("PUNCH_DAMAGE", 10.0, 0);
    hero.addAttribute("WEAPON_DAMAGE", 2.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 2.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 1.0, 1);
	hero.addAttribute("BASE_SPEED_LEVELS", 5.0, 0);

    hero.addKeyBind("HEAT_VISION", "Heat Vision", 1);
	hero.addKeyBind("CHARGED_BEAM", "Cold Breath", 2);
	hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 3);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 5);
   
	hero.setHasProperty(hasProperty);
    hero.setDamageProfile(getDamageProfile);
    hero.addDamageProfile("SPEED_PUNCH", {
        "types": {
            "BLUNT": 1.0
        },
        "properties": {
            "HIT_COOLDOWN": 5
        }
    });
}

function getDamageProfile(entity) {
    return entity.getData("fiskheroes:speeding") ? "SPEED_PUNCH" : null;
}

function hasProperty(entity, property) {
    return property == "BREATHE_SPACE";
}




